> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Full audit trail for a case



## OpenAPI

````yaml /api-reference/platform-api.json get /v2/cases/{id}/timeline
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.7.16
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
paths:
  /v2/cases/{id}/timeline:
    get:
      tags:
        - Cases
      summary: Full audit trail for a case
      operationId: getTimeline
      parameters:
        - name: id
          required: true
          in: path
          description: The case id (uuid).
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CaseTimelineResponseDto'
components:
  schemas:
    CaseTimelineResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CaseTimelineEntryDto'
      required:
        - items
    CaseTimelineEntryDto:
      type: object
      properties:
        id:
          type: string
        action:
          enum:
            - created
            - assigned
            - status_changed
            - commented
            - escalated
            - investigation_linked
            - duplicate_matched
          type: string
        actor:
          type: string
          example: analyst@range.org
        details:
          type: object
          description: Discriminated union keyed by `action` (see CaseTimelineDetailsMap).
        created_at:
          type: string
      required:
        - id
        - action
        - actor
        - details
        - created_at
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````